package com.sunyard.chsm.param;

import com.sunyard.chsm.enums.HashAlg;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class HashReq {

    // 明文,使用Base64编码
    @NotBlank(message = "明文不能为空")
    private String plainData;

    // 填充方式, 默认PCKS7
    private HashAlg alg = HashAlg.SM3;


}
