package com.sunyard.ssp.common;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.io.Serializable;

/**
 * @author Exrickx
 */
@Data
public class PageVo implements Serializable{

    private static final long serialVersionUID = 1L;

    @TableField(exist = false)
    private int pageNumber = 1;

    @TableField(exist = false)
    private int pageSize = 10;

    @TableField(exist = false)
    private String sort;

    @TableField(exist = false)
    private String order = "desc";

    public PageVo(){

    }

    /**
     * 分页构造
     * @param pageNumber
     * @param pageSize
     */
    public PageVo(Integer pageNumber,Integer pageSize){
        this.pageNumber = pageNumber;
        this.pageSize = pageSize;
    }


}
